export declare function mergeCommonParams(config: any): any;
export declare function paramsToQuery(params: Record<string, any>): string;
export type OperateDeviceParams = {
    direction: 'up' | 'down' | 'left' | 'right' | 'leftUp' | 'leftDown' | 'rightUp' | 'rightDown' | '';
    zoom: 'zoomIn' /** 放大 */ | 'zoomOut' /** 缩小 */ | '';
};
export declare function operateDevice(params: {
    productId: string;
    /** 产品id */ deviceId: string;
    /** 设备id */ direction?: OperateDeviceParams['direction'];
    /** 方向控制 */ zoom?: OperateDeviceParams['zoom']; /** 缩放 */
    /** 来源，默认 Web 调用 */
    source?: string;
}): import("@das-fed/utils/curring-http/type").CurringRunRes;
/** 获取设备实时视频播放地址 */
export declare function getRealTimeUrl(params: {
    productId?: string;
    deviceId: string;
    source?: string;
}): import("@das-fed/utils/curring-http/type").CurringRunRes;
export declare const devicePermission: (payload?: any, payloadConfig?: import("@das-fed/utils/curring-http/type").CurringConfig) => import("@das-fed/utils/curring-http/type").CurringRes;
export declare function setVideoBaseURL(baseURL: string): Promise<unknown>;
